# MIT Kerberos Documentation

Contents | previous | next | index | Search | feedback

# krb5_cred_enc_part

`krb5_cred_enc_part`

Cleartext credentials information.

## Declaration

typedef struct _krb5_cred_enc_part krb5_cred_enc_part

## Members

krb5_magic `krb5_cred_enc_part.magic`

krb5_int32 `krb5_cred_enc_part.nonce`

  Nonce (optional)

krb5_timestamp `krb5_cred_enc_part.timestamp`

  Generation time, seconds portion.

krb5_int32 `krb5_cred_enc_part.usec`

  Generation time, microseconds portion.

krb5_address * `krb5_cred_enc_part.s_address`

  Sender address (optional)

krb5_address * `krb5_cred_enc_part.r_address`

  Recipient address (optional)

krb5_cred_info ** `krb5_cred_enc_part.ticket_info`